%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:           pyfribidi
Version:        0.10.0
Release:        1%{?dist}
Summary:        A Python binding for GNU FriBidi

Group:          Development/Languages
License:        GPLv2+
URL:            http://pyfribidi.sourceforge.net/
Source0:        http://downloads.sourceforge.net/pyfribidi/pyfribidi-%{version}.tar.bz2
# Patches courtsey of Debian
Patch0:         buffer_overflow.diff
Patch1:         testbigString.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  python-devel
BuildRequires:  fribidi-devel
BuildRequires:  pkgconfig

%description
PyFriBidi is a simple Python binding for FriBidi, providing an
implementation of The Unicode Bidirectional Algorithm in Python.


%prep
%setup -q
%patch0 -p1
%patch1 -p1


%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT


%check
ln -s build/lib.linux-*/pyfribidi.so .
python test_pyfribidi.py

 
%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog
%{python_sitearch}/*


%changelog
* Fri Dec 31 2010 Hans de Goede <hdegoede@redhat.com> - 0.10.0-1
- Update to 0.10.0 (rhbz#539493)
- Fix CVE-2010-3444: buffer overflow when processing Arabic UTF-8
  strings (rhbz#565997, rhbz#565998)
- Run the included tests

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 0.6.0-9
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.6.0-6
- Rebuild for Python 2.6

* Fri Aug 29 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.6.0-5
- fix license tag

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.6.0-4
- Autorebuild for GCC 4.3

* Sat Dec 30 2006 Roozbeh Pournader <roozbeh@farsiweb.info> - 0.6.0-3
- Add dependency on pkgconfig as it's not pulled at least on FC5

* Wed Dec 27 2006 Roozbeh Pournader <roozbeh@farsiweb.info> - 0.6.0-2
- Add 'ChangeLog' to included documentation (Mamoru Tasaka)

* Sun Dec 10 2006 Roozbeh Pournader <roozbeh@farsiweb.info> - 0.6.0-1
- Initial packaging
